description

# FileSystemEvent class Null safety

Base event class emitted by FileSystemEntity.watch.

Implementers
  - FileSystemCreateEvent
  - FileSystemDeleteEvent
  - FileSystemModifyEvent
  - FileSystemMoveEvent

## Properties

hashCode → int
  The hash code for this object. [...]
  read-only, inherited
isDirectory → bool
  Is `true` if the event target was a directory. [...]
  final
path → String
  The path that triggered the event. [...]
  final
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited
type → int
  The type of event. See FileSystemEvent for a list of events.
  final

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator. [...]
  inherited

## Constants

ALL → const int
  @Deprecated("Use all instead")
  `create | modify | delete | move`
all → const int
  Bitfield for FileSystemEntity.watch, for enabling all of create, modify, delete and move.
  `create | modify | delete | move`
CREATE → const int
  @Deprecated("Use create instead")
  `1 << 0`
create → const int
  Bitfield for FileSystemEntity.watch, to enable FileSystemCreateEvents.
  `1 << 0`
DELETE → const int
  @Deprecated("Use delete instead")
  `1 << 2`
delete → const int
  Bitfield for FileSystemEntity.watch, to enable FileSystemDeleteEvents.
  `1 << 2`
MODIFY → const int
  @Deprecated("Use modify instead")
  `1 << 1`
modify → const int
  Bitfield for FileSystemEntity.watch, to enable FileSystemModifyEvents.
  `1 << 1`
MOVE → const int
  @Deprecated("Use move instead")
  `1 << 3`
move → const int
  Bitfield for FileSystemEntity.watch, to enable FileSystemMoveEvents.
  `1 << 3`